#include "AnimationFrame.h"

#define maxNumOfFrames		10

class Animation
{
private:
	string animationName;
	unsigned int animationId;
	unsigned short numOfFrames;
	int curentFrame;
	bool pause;
	AnimationFrame Frames [maxNumOfFrames];
	unsigned int spriteIds [maxNumOfFrames];
Sprite spriteObject;
public:
	int speed;

	void pauseAnimation();
	void playAnimation();
	void animate();
Animation();
void loadFrames(SpriteList*);
};



